/* Timeline Title Section */
.timeline__title {
    margin-top: 5rem;
    color: var(--text-color);
}

.timeline__title > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 1rem;
}

.timeline__line {
    border: 1.5px solid var(--text-color);
    width: 60px;
    position: relative;
    transition: transform 0.5s ease-in-out;
    transform-origin: center;
}

.timeline__line::before {
    content: "";
    position: absolute;
    top: -3rem;
    bottom: -3rem;
    left: 0;
    right: 0;
    background: transparent;
    cursor: pointer;
}

.timeline__line:hover {
    transform: scaleX(5);
}
/* End of Timeline Title Section */

.timeline-section {
    min-height: 100vh;
    padding: 2rem 1rem;
}

.timeline-items {
    max-width: 1000px;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    position: relative;
}

.timeline-content {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px,
        rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
        rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
    /* border: var(--background-color) 2px solid; */
}

.timeline-items::before {
    content: "";
    position: absolute;
    width: 2px;
    height: 100%;
    background-color: var(--text-color);
    left: calc(50% - 1px);
}

.timeline-item {
    margin-bottom: 40px;
    width: 100%;
    position: relative;
}

.timeline-item:last-child {
    margin-bottom: 0;
}

.timeline-item:nth-child(odd) {
    padding-right: calc(50% + 30px);
    text-align: right;
}

.timeline-item:nth-child(even) {
    padding-left: calc(50% + 30px);
}

.timeline-dot {
    height: 16px;
    width: 16px;
    background-color: var(--accent-color);
    position: absolute;
    left: calc(50% - 8px);
    border-radius: 50%;
    top: 10px;
}

.timeline-date {
    font-size: 18px;
    margin: 6px 0 15px;
}

.timeline-content {
    padding: 30px;
    background-color: #fff;
}

.timeline-content h3 {
    font-size: 20px;
    margin: 0 0 10px;
    text-transform: capitalize;
    font-weight: 500;
    color: var(--accent-color);
}

.timeline-content p {
    color: #000;
    font-size: 16px;
    font-weight: 300;
    line-height: 22px;
}

@media (max-width: 767px) {
    .timeline-items::before {
        left: 7px;
    }
    .timeline-item:nth-child(odd) {
        padding-right: 0;
        text-align: left;
    }
    .timeline-item:nth-child(odd),
    .timeline-item:nth-child(even) {
        padding-left: 37px;
    }
    .timeline-dot {
        left: 0;
    }
}
